For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList document types
      • POSTCreate a document type
      • DELDelete a document type
      • PATCHUpdate a document type
      • GETList document groups
      • POSTCreate a document group
      • DELDelete a document group
      • PATCHUpdate a document group
API ReferenceDocument Types

List document groups

GET
https://devapi.withverifa.com/api/v1/settings/document-groups
GET
/api/v1/settings/document-groups
$curl https://devapi.withverifa.com/api/v1/settings/document-groups \
> -H "X-API-Key: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "data": [
3 {
4 "id": "grp_8f3a2b1c9d4e5f6a7b8c9d0e",
5 "org_id": "org_1234567890abcdef",
6 "name": "Identity Documents",
7 "is_default": false,
8 "is_active": true,
9 "priority": 10,
10 "created_at": "2024-01-15T09:30:00Z",
11 "updated_at": "2024-04-10T14:45:00Z",
12 "description": "Group for all government-issued identity documents like passports and driver licenses.",
13 "classifications": [
14 "passport",
15 "driver_license",
16 "national_id"
17 ],
18 "check_config": [
19 [
20 "document_authenticity",
21 "identity",
22 "required"
23 ],
24 [
25 "photo_match",
26 "biometric",
27 "optional"
28 ]
29 ],
30 "recency_config": {
31 "enabled": true,
32 "max_age_days": 180
33 }
34 }
35 ]
36}

Returns all document groups configured for your organization. Groups bundle related document types with shared routing and check configuration.

Required scope: documents:read.

Was this page helpful?
Previous

Create a document group

Next
Built with

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Response

A list of document groups.
datalist of objects

Errors

401
Unauthorized Error